extra.tx <- function(theta)
{
	list(log.Pi = log(theta$Pi), rho.sq = theta$rho^2)
}

psi.tx <- function(phi)
{
	theta <- theta.tx(phi)
	psi1 <- unlist(theta)
	psi2 <- unlist(extra.tx(theta))
	psi <- c(psi1, psi2)
	return(psi)
}

theta.hat <- theta.tx(phi.hat)
xi.hat <- extra.tx(theta.hat)
psi.hat <- psi.tx(phi.hat)

V.phi <- solve(-res$hessian)
J.tx <- jacobian(psi.tx, phi.hat)
V.psi <- J.tx %*% V.phi %*% t(J.tx)
